Open Bug 1376949 (csp-modification-via-webextension) Opened 3 years ago Updated 8 days ago

[meta] CSP modification via webExtensions

Categories

(WebExtensions :: General, enhancement, P3)

enhancement

Tracking

(Not tracked)

People

(Reporter: April, Unassigned)

References

(Depends on 4 open bugs)

Details

(Keywords: meta)

The ability to modify the CSP (Content Security Policy) header is highly important for webExtensions that block or track content usage (Laboratory, NoScript, various content blockers), but there are currently a number of rough edges that make moving from traditional extensions to webextensions a bit difficult.
No longer blocks: 1376932
Depends on: 1376932
Depends on: 1376950
Depends on: 1376953
Depends on: 1376958
Keywords: meta
Depends on: 1388486
Priority: -- → P3
See Also: → 1302962
See Also: → 1267027
Product: Toolkit → WebExtensions
Summary: [TRACKER] CSP modification via webExtensions → [meta] CSP modification via webExtensions
Depends on: 1294996
You need to log in before you can comment on or make changes to this bug.